# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取公司站点接口验证,2289,2289-5,sit,bs
涉及到接口:多采商城需求单列表公司站点信息获取接口
"""

from common.common_func import commonFuc
import requests
import json

module = "cmdc_demand_mall"

# 获取站点信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")

"""
 场景: 验证多采商城需求单管理列表，公司站点信息获取接口连通性
 用例名称：获取公司站点接口验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

