# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取站点信息验证_需求单,2289,2289-12,sit,bs
涉及到接口:多采商城需求单列表站点信息获取接口
"""

from common.common_func import commonFuc
import requests
import json

module = "cmdc_demand_mall"

# 获取站点信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url11")
request_body = commonFuc().get_business_data(module, "payload11")

"""
 场景: 获取站点信息验证_需求单
 用例名称：获取站点信息验证_需求单
 输出：{"companyId":6}
"""

# 发送请求
result = requests.get(url, params=request_body)
result = json.loads(result.content)
# 获取站点信息中公司id
result = {"companyId": result["data"]["companyId"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict11")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
