# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取订单类型接口验证,2289,2289-6,sit,bs
涉及到接口:多采商城需求单列表订单类型获取接口
"""

from common.common_func import commonFuc
import requests
import json

module = "cmdc_demand_mall"

# 第二步获取站点信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url6")
request_body = commonFuc().get_business_data(module, "payload6")
"""
 场景: 验证多采商城需求单管理列表，获取订单类型接口连通性
 用例名称：获取订单类型接口验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url, params=request_body)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict6")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
